/* renamefiles by Mischa Lockton 1/10/93 */

/* the purpose of this script is to take ODD
** numbered frames, rendered in Imagine, etc.
** and renumber them comsecutively so that
** Opalanimate can handle them...
*/


ADDRESS "ADPro"
OPTIONS RESULTS

loadappend = .0001
saveappend = .0001

say 'Load directory?'
pull DIREC

say 'Save directory?'
pull SDIREC

say 'Filename?'
pull FILE

say 'No. of frames?'
pull FRAMES

LFORMAT "IFF"
SFORMAT "IFF"

ADPRO_TO_FRONT

do loop = 1 to frames
   LOADAPPEND = right(loadappend,5)
   SAVEAPPEND = right(saveappend,5)
   LOADFILE = DIREC||FILE||LOADAPPEND
   SAVEFILE = SDIREC||FILE||SAVEAPPEND
   LOAD loadfile
   SAVE savefile RAW
   LOADAPPEND = loadappend + .0002
   SAVEAPPEND = saveappend + .0001
 END
                   
ADPRO_TO_BACK

say 'All done!'

